use sysinfo::System;

fn main() {
    get_sys_info()
}

fn get_sys_info() {
    let mut sys = System::new_all();

    // First we update all information of our `System` struct.
    sys.refresh_all();

    // Display system information:
    println!("System name:             {:?}", System::name());
    println!("Kernel version:          {:?}", System::kernel_version());
    println!("System OS version:       {:?}", System::os_version());
    println!("System host name:        {:?}", System::host_name());

    // Number of CPUs:
    println!("Number of CPUs:          {}", sys.cpus().len());
}